package com.op.wms.mapper;

import java.util.List;

import com.op.wms.domain.PowderChargeOrder;

/**
 * 粉料配料Mapper接口
 * 
 * @author Open Platform
 * @date 2023-07-10
 */
public interface PowderChargeOrderMapper {
	/**
	 * 查询粉料配料
	 * 
	 * @param ID 粉料配料主键
	 * @return 粉料配料
	 */
	public PowderChargeOrder selectPowderChargeOrderByID(String ID);

	/**
	 * 查询粉料配料列表
	 * 
	 * @param powderChargeOrder 粉料配料
	 * @return 粉料配料集合
	 */
	public List<PowderChargeOrder> selectPowderChargeOrderList(PowderChargeOrder powderChargeOrder);

	/**
	 * 新增粉料配料
	 * 
	 * @param powderChargeOrder 粉料配料
	 * @return 结果
	 */
	public int insertPowderChargeOrder(PowderChargeOrder powderChargeOrder);

	/**
	 * 修改粉料配料
	 * 
	 * @param powderChargeOrder 粉料配料
	 * @return 结果
	 */
	public int updatePowderChargeOrder(PowderChargeOrder powderChargeOrder);

	/**
	 * 删除粉料配料
	 * 
	 * @param ID 粉料配料主键
	 * @return 结果
	 */
	public int deletePowderChargeOrderByID(String ID);

	/**
	 * 批量删除粉料配料
	 * 
	 * @param IDs 需要删除的数据主键集合
	 * @return 结果
	 */
	public int deletePowderChargeOrderByIDs(String[] IDs);
}
